org.apache.http.conn.util

## Enum DomainType

- java.lang.Object
- - java.lang.Enum<DomainType>
  - - org.apache.http.conn.util.DomainType

- All Implemented Interfaces:
    Serializable, Comparable<DomainType>

      public enum DomainType
      extends Enum<DomainType>

  Domain types differentiated by Mozilla Public Suffix List.
  Since:
    4.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ICANN`
    `PRIVATE`
    `UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DomainType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DomainType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final DomainType UNKNOWN

    - #### ICANN

          public static final DomainType ICANN

    - #### PRIVATE

          public static final DomainType PRIVATE

  - ### Method Detail

    - #### values

          public static DomainType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainType c : DomainType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.